Subject: 23.0.90; Long tool tip delay

From: Mathias Dahl <[email-masked]>
Date: Tue, 10 Feb 2009 20:42:29 +0100

I just compiled the latest pretest and it seems to work mostly fine -
the NEWS file mentions a lot of goodies. However, I noticed one
strange thing with the tool tips that appear when you hover over an
icon in the toolbar: it takes many seconds before they appear. I am
sure this is not the intent because if I start emacs with -Q it works
fine. So obviously it is something in my .emacs, or something that it
loads, or some of the hundred Desktop-loaded files, that makes it
behave like this.

Any ideas on where to begin looking for the cause? I should mention
that I seldom use the toolbar so it is not very important to me and I
am not prepared to put much time into investigating this but if
someone have any lisp snippets to try out I am willing to do that.

Thanks!

/Mathias

In GNU Emacs 23.0.90.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2009-02-08 on klibb
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
configured using `configure  '--with-gif=no''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  shell-dirtrack-mode: t
  show-paren-mode: t
  paredit-mode: t
  jabber-activity-mode: t
  exec-abbrev-cmd-mode: t
  iswitchb-mode: t
  display-time-mode: t
  icomplete-mode: t
  partial-completion-mode: t
  recentf-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
B ESC O B ESC O A ESC O D ESC O B RET RET ESC O A DEL
DEL ESC q C-h c C-t ESC x C-t e x e c C-g C-t DEL DEL
t . ESC ESC ESC ESC x g l SPC s e SPC RET C-t e x SPC
e x SPC c RET C-t C-g SPC V a d - m =c3 =a5 l , SPC h u
r - m =c3 =a5 l SPC o o DEL c h SPC v a r f =c3 =b6 r - m =c3
=a5 l . SPC E t t SPC m =c3 =a5 l SPC s k a l l SPC v a r
a ESC q ESC O D ESC O C ESC q SPC s p e c i f i c e
r a t , SPC m =c3 =a4 t b a r t , SPC ESC q SPC u p p n
=c3 =a5 e l i g t , SPC r e a l i s t i s k t SPC o c h
SPC t i d s b e g r =c3 =a4 n s a t . ESC O B ESC O B C-c
C-c ESC O A ESC O A ESC O A ESC O A RET ESC O B RET
ESC O B ESC O A ESC O A ESC O A ESC O A ESC O A ESC
O A SPC DEL DEL DEL DEL SPC SPC SPC SPC C-x b RET RET
RET RET RET RET <switch-frame> <down-mouse-1> <mouse-movement>
<mouse-1> <down-mouse-1> <mouse-1> M-x t o o l SPC
b a SPC m o <return> <help-echo> <help-echo> <help-echo>
M-x r e p o r t SPC e m SPC b u <return>

Recent messages:
Quit
Type `C-c C-c' to exit textarea, or type `C-c C-q' to quit textarea
C-t runs the command transpose-chars
transpose-subr-1: Text is read-only
call-interactively: Text is read-only [4 times]
Quit [2 times]
w3m-scroll-up-or-next-url: End of buffer
Pause [5 times]
Stopped.
Tool-Bar mode enabled